Bug 195427 - scim-setup crashes
scim-setup crashes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-chewing (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darshan Santani
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 01:53 EDT by Jong Bae KO
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: scim-chewing-0.3.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 23:50:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jong Bae KO 2006-06-15 01:53:39 EDT
Description of problem:
when scim-chewing is installed, scim-setup crashes.

Version-Release number of selected component (if applicable):
0.3.0-8

How reproducible:
always

Steps to Reproduce:
1.install scim-chewing
2.run scim-setup
3.
  
Actual results:
segfault happens.

Expected results:
display scim setup dialog

Additional info:
Here is a backtrace what I got when it happened:
Program received signal SIGSEGV, Segmentation fault.
0x003725d2 in g_type_check_instance_cast () from /lib/libgobject-2.0.so.0
(gdb) bt
#0  0x003725d2 in g_type_check_instance_cast () from /lib/libgobject-2.0.so.0
#1  0x006ff04a in setup_widget_value () at scim_chewing_imengine_setup.cpp:669
#2  0x007002cd in create_setup_window () at scim_chewing_imengine_setup.cpp:635
#3  0x009f19cb in SetupModule::create_ui (this=0x9deea38) at
scim_setup_module.cpp:96
#4  0x009f0f8f in SetupUI::add_module (this=0x98db9e8, module=0x9deea38) at
scim_setup_ui.cpp:118
#5  0x009f2c96 in setup_LTX_scim_helper_module_run_helper (uuid=@0xbfd0fcd4,
config=@0xbfd0fcd0,
    display=@0xbfd0fcdc) at scim_setup_helper.cpp:96
#6  0x00958ce0 in scim::HelperModule::run_helper (this=0xbfd0fca8,
uuid=@0xbfd0fcd4, config=@0xbfd0fcd0,
    display=@0xbfd0fcdc) at scim_helper_module.cpp:123
#7  0x0804a14b in main (argc=3, argv=0xbfd0fe44) at scim_helper_launcher.cpp:169
#8  0x0014b794 in __libc_start_main () from /lib/libc.so.6
#9  0x08049151 in _start ()

I've seen this problem with rawhide-20060608 tree.
Comment 1 Darshan Santani 2006-06-19 01:06:35 EDT
This problem seems to have been resolved in the newer version of scim-chewing
viz. scim-chewing 0.3.1-1.


Note You need to log in before you can comment on or make changes to this bug.